Skip to content
Docs

HELOC Inquiries/Exceptions

List matching properties

GET/products/heloc/v1/inquiry/{appUuid}/properties
Request
curl -X GET \
  "https://api.test.figure.com/products/heloc/v1/inquiry/{appUuid}/properties" \
  -H "apikey: $FIGURE_API_KEY"

Path parameters

  • appUuidstringRequired

Responses

200OKobject

  • propertiesarray of objectsRequired
    ShowHide 5 attributes of properties
    • idstringRequired
    • addressobjectRequired
      ShowHide 5 attributes of address
      • street1stringRequired
        Pattern^[a-zA-Z0-9\s\-\.']+$
      • citystringRequired
        Pattern^[a-zA-Z\s\-']+$
      • statestringRequired
        Pattern^[A-Z]{2}$
      • zipstringRequired
        Pattern^[0-9]{5}(?:-[0-9]{4})?$
      • street2string
        Pattern^[a-zA-Z0-9\s\-\.']+$
    • apnstring
    • longitudenumber
    • latitudenumber
  • messagesarray of objects
    ShowHide 2 attributes of messages
    • levelstringRequired
    • messagestringRequired
Response
{
  "properties": [
    {
      "id": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
      "apn": "string",
      "address": {
        "street1": "string",
        "street2": "string",
        "city": "string",
        "state": "CA",
        "zip": "94105"
      },
      "longitude": 0,
      "latitude": 0
    }
  ],
  "messages": [
    {
      "level": "string",
      "message": "string"
    }
  ]
}